apiVersion: apps/v1
kind: Deployment
metadata:
  name: dbscanservingservice
spec:
  selector:
    matchLabels:
      app: dbscanservingservice
  template:
    metadata:
      labels:
        app: dbscanservingservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/dbscanserving:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 10006
        env:
        - name: LOG_LEVEL
          value: "DEBUG"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10006"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:10006"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: dbscanservingservice
spec:
  type: ClusterIP
  selector:
    app: dbscanservingservice
  ports:
  - name: grpc
    port: 10006
    targetPort: 10006
